%{
open Ast
open Print
%}
%token <string> ID
%token <int> CSTE
%token <Ast.opComp> RELOP
%token PLUS MINUS TIMES DIV
%token LPAREN RPAREN
%token SEMICOLON
%token ASSIGN
%token BEGIN END
%token EOF

%type <int> prog
%type <expType> expr

%start prog
%%
prog:  ld = list(declaration) BEGIN i = expr END EOF
  {
    print_string "Evaluation finale: ";
    print_int (Eval.eval ld i);
    print_newline ();
    Compil.compile ld i;
    1 (* prog doit renvoyer un entier *)
   }

